namespace RobobinApp.Views.Sides
{
    public partial class SideBox : ContentView
    {
        public static readonly BindableProperty HeaderTitleProperty =
            BindableProperty.Create(nameof(HeaderTitle),
                                  typeof(string),
                                  typeof(SideBox),
                                  defaultValue: "Queue Position:",
                                  propertyChanged: OnHeaderTitleChanged);

        public string HeaderTitle
        {
            get => (string)GetValue(HeaderTitleProperty);
            set => SetValue(HeaderTitleProperty, value);
        }

        public SideBox()
        {
            InitializeComponent();
        }

        protected static void OnHeaderTitleChanged(BindableObject bindable, object oldValue, object newValue)
        {
            var control = (SideBox)bindable;
            if (control.HeaderText != null)
            {
                control.HeaderText.Text = newValue?.ToString();
            }
        }
    }
}